2012-09-03 Fred Kiefer <FredKiefer@gmx.de>

	* MyGL: Merge changes from MyTransparentGL into this project.
	You need to comment out the definition of TRANSPARENT to get no
	transparent view.
	* MyTransparentGL: Remove the whole project.

2012-08-13 Fred Kiefer <FredKiefer@gmx.de>

	* MyTransparentGL/AppController.m:
	* MyTransparentGL/GNUmakefile: Get the code to work properly.
	Patch by Johannes Lundberg <johannes@brilliantservice.co.jp>

2013-07-03 Ivan Vucica <ivan@vucica.net>

	* MyTransparentGL/MyGL.gorm/data.classes:
	* MyTransparentGL/MyGL.gorm/objects.gorm:
	* MyTransparentGL/MyGL.gorm/data.info:
	* MyTransparentGL/README:
	* MyTransparentGL/AppController.m:
	* MyTransparentGL/GNUmakefile:
	A demo that demonstrates how to create a transparent NSOpenGLView.

2012-01-23 Fred Kiefer <FredKiefer@gmx.de>

	* Calculator/CalcBrain.m,
	* Calculator/CalcFace.m: Remove duplicated ivar declaration in
	implementation file.
	Patch by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

2011-05-19 Fred Kiefer <FredKiefer@gmx.de>

	* Old/nscursor.m
	* Old/windows.m
	* Old/menu.m
	* Old/GNUmakefile: Get these old tests to compile again.

2011-05-19 Fred Kiefer <FredKiefer@gmx.de>

	* MyGL/AppController.m: Protect the name id.
	Patch by Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

2010-07-25  Eric Wasylishen <ewasylishen@gmail.com>

	* MyGL/main.m: Use NSApplicationMain() as the current method wasn't
	loading the main nib

2010-06-02 Adam Fedor <fedor@gnu.org>

	* Fix a few compiler warnings

2010-04-14  Eric Wasylishen <ewasylishen@gmail.com>

	* MyGL/AppController.h:
	* MyGL/AppController.m: Modify MyGL to have several NSOpenGLView's
	displayed in NSSplitView's.

2010-03-07  Nicola  <nicola.pero@meta-innovation.com>

	* GNUmakefile (SUBPROJECTS): Do not compile MyGL by default as not
	everyone has OpenGL.

2009-05-20  Fred Kiefer <FredKiefer@gmx.de>

	* ExampleTheme: New directory with one example theme
	by Fred Morcos <fred.morcos@gmail.com>

2009-01-07  Fred Kiefer <FredKiefer@gmx.de>

	* ToolbarExample/SecondWindowOwner.m (-awakeFromNib): Adopt to
	changes in NSToolbar. Now the toolbar retains the view.

2009-01-01  Fred Kiefer <FredKiefer@gmx.de>

	* GSTest/NSAnimation-test/AnimationView.m: Correct line endings.
	* ToolbarExample: Adopt to changes in NSToolbar and the removal of
	GSToolbar.

2007-05-24 Adam Fedor <fedor@gnu.org>

	* Add MyGL, by Banlu Kemiyatorn

2007-04-12 Xavier Glattard <xavier.glattard@online.fr>

    * GSTest/NSAnimation-test : Follow changes in NSAnimation class, run threaded
    * GSTest/NSViewAnimation-test : run threaded

2007-04-05 Xavier Glattard <xavier.glattard@online.fr>

    * GSTest/NSAnimation-test : New test
    * GSTest/NSViewAnimation-test : New test

2006-09-08 Adam Fedor <fedor@gnu.org>

	* Remove GPuzzle - more up-to-date at Marko's site.

2005-01-13 17:38  Alexander Malmberg  <alexander@malmberg.org>

        * GNUmakefile (SUBPROJECTS): Add ExampleService. Partially fixes
	bug #8161.

2004-11-11  Adam Fedor  <fedor@gnu.org>

	* Classes/NSImage/nsimage.m: Create menu before starting loop
	(patch from Patrick Middleton, Patch #3500).

2004-09-28  Fred Kiefer <FredKiefer@gmx.de>

	* Classes/NSImage/nsimage.m: Use rand() instead of random() as
	this is more portable.
	* Ink/Document.m ([Document -makeWindow]): Set text view to import
	graphics and added vertical ruler.
	* Old/nscombobox.m: Added one more combobox in window.
	
	
2004-09-28  Adam Fedor  <fedor@gnu.org>

	* Classes/NSPanelTest/NSPanelTest.m: Make NSPanelTest an application 
	delegate. Reindent. Fix compiler warnings.
	* Classes/NSPanelTest/GNUmakefile: Don't make NSPanelTest the app class.
	* Classes/NSPanelTest/NSPanelTestInfo.plist: New file.
	* Classes/NSPanelTest/NSPanelTest_main.m: Use normal app startup 
	function.

	* Classes/NSScreenTest/screen_main.m: Fix warning.
	* GPuzzle/BTree.m, GPuzzle/Document.m: Remove unused vars, Fix warnings.
	* GPuzzle/GNUmakefile: Don't define GNUSTEP_MAKEFILES.

2004-04-15  Quentin Mathe <qmathe@club-internet.fr>
	
	* ToolbarExample: Added a demo application for the toolbar
	implementation.
	* ToolbarExample/GNUmakefile: New file
	* ToolbarExample/ToolbarExampleInfo.plist: idem.
	* ToolbarExample/main.m : idem.
	* ToolbarExample/Controller.h: idem.
	* ToolbarExample/Controller.m: idem.
	* ToolbarExample/MiniController.h: idem.
	* ToolbarExample/MiniController.m: idem.
	* ToolbarExample/ToolbarExample.gorm/data.classes: idem.
	* ToolbarExample/ToolbarExample.gorm/objects.gorm: idem.
	* ToolbarExample/SecondWindow.gorm/data.classes: idem.
	* ToolbarExample/SecondWindow.gorm/objects.gorm: idem.
	* ToolbarExample/Images/FileIcon_Directory.tiff: idem.
	* ToolbarExample/Images/RecyclerFull.tiff: idem.
	* ToolbarExample/Images/SecondImage.tiff: idem.

Sat Mar  6 13:57:07 2004  Brent Fulgham <bfulg@pacbell.net>,
 	                  Nicola Pero  <n.pero@mi.flashnet.it>
	
	* Classes/NSPanelTest/GNUmakefile: Tidied - use GNUSTEP_MAKEFILES,
	do not set GNUSTEP_INSTALLATION_DIR, and do not include additional
	makefiles.

2004-02-18  Adam Fedor  <fedor@gnu.org>

	* Classes/NSImage: New
	* Old/nsimage.m: Remove.

2003-11-19 17:02  Alexander Malmberg <alexander@malmberg.org>

	* ExampleService/*: Move example.service and md5Digest.app here
	from gui/Tools/.

2003-08-25  David Ayers  <d.ayers@inode.at>

	* *.h/m: Update to new header structure.

2003-07-26  Fred Kiefer <FredKiefer@gmx.de>

	* Old/GNUmakefile
	Added some more of the old examples.
	* Old/matrix.m
	* Old/nscombobox.m
	* Old/nsimage.m
	* Old/nsimagecell.m
	* Old/nsprogressindicator.m
	* Old/nsscroller.m
	* Old/nstabview.m
	* Old/popupbuttons.m
	* Old/ImageView.h
	* Old/ImageView.m
	* Old/TestView.h
	* Old/TestView.m
	* Old/ColorView.h
	* Old/ColorView.m
	Made examples working again.

2003-04-24  Adam Fedor  <fedor@gnu.org>

	* Calculator/CalculatorInfo.plist: Add NSIcon (patch from
	Rob Burns <rburns@softhome.net>).

2002-05-28  Adam Fedor  <fedor@gnu.org>

	* GPuzzle: New demo contributed by Marko Riedel
	<mriedel@neuearbeit.de>.

Fri May 17 16:15:35 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GFractal: New demo contributed by Marko Riedel
	<mriedel@neuearbeit.de>.

Thu Jan 17 20:27:59 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Classes/NSProgressIndicator/: New.
	* Classes/NSProgressIndicator/Threads: New.

2001-12-09  Fred Kiefer <FredKiefer@gmx.de>

	* Old/nsprogressindicator.m
	Corrected so it shows how to use a NSProgressIndicator.
	* Old/GNUmakefile
	Compile nsprogressindicator.

2001-10-04  Fred Kiefer <FredKiefer@gmx.de>

	* Old/testpb.m
	Pasteboard test moved over from gui and corrected.
	* Old/GNUmakefile
	Compile testpb
	* NSPanelTest/
	Removed this directory
	
2001-09-23  Fred Kiefer <FredKiefer@gmx.de>

	* Old/popupbuttons.m
	In [applicationDidFinishLaunching:] reordered statements, so the
	action and target of the popups are set before the items get
	created.
	* Old/GNUmakefile
	Simple makefile for build some of the old applications.
	* Old/.cvsignore
	Ignore all temporary files.
	* NSPanelTest/.cvsignore
	Ignore all temporary files.
	* Edit/
	Removed obsolete directory.
	
2001-08-03  Gregory John Casamento <greg_casamento@yahoo.com>

	* Ink/Document.m ([Document -makeWindow]): added call to make
	text view the first responder since the spell checker needs to
	find the document to be spell checked on the responder chain.

2001-07-08  Adam Fedor  <fedor@gnu.org>

	* Version 0.9.2

Fri Jul  6 18:04:47 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Ink/Document.m ([-dataRepresentationOfType:]): If type is nil,
	use text as a default rather than crashing (suggestion by Ian
	Mondragon <copal@dragonhelix.org>).

Wed Jul  4 18:32:22 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Ink/Document.m ([Document -dealloc]): Call super dealloc.

2001-06-19  Gregory Casamento <greg_casamento@yahoo.com>

	* Added menu item to allow Ink to bring up the NSSpellChecker
	GUI.
	
2001-06-16  Fred Kiefer <FredKiefer@gmx.de>

	* Ink/InkInfo.plist
	Added RTFD as supported extension.
	* Ink/Document.m
	[fileWrapperRepresentationOfType:] create RTFD files.
	[dataRepresentationOfType:] create RTFD data.
	[loadFileWrapperRepresentation:ofType:] load RTFD files.
	[loadDataRepresentation:ofType:] load RTFD data.
	
Tue Jun 12 02:01:25 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Ink/main.m ([MyDelegate -applicationWillFinishLaunching:]):
	Added menu item insert file (patch by Stefan Urbanek
	<stefanurbanek@yahoo.fr>).
	* Ink/Document.m ([-insertFile:]): New method (patch by Stefan
	Urbanek modified).
	([-textView:doubleClickedOnCell:inRect:atIndex:]): New method 
	(patch by Stefan Urbanek).
	
2001-05-09  Fred Kiefer <FredKiefer@gmx.de>

	* Old/GSImageTabViewItem.m 
	Adopted to changes in superclass.
	
Sat Feb 17 19:08:29 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Ink/Document.m ([-makeWindow]): Use a white background.

2001-02-13  Fred Kiefer <FredKiefer@gmx.de>

	* Ink/main.m
	Don't load the Readme.rtf file when starting the app.

Tue Jan 20  Michael Hanni  <mhanni@sprintmail.com>

	* Classes/NSBrowserTest/.cvsignore,
	NSPanelTest/.cvsignore, 
	NSScreenTest/.cvsignore: added for cleanliness.

Fri Jan 26 23:11:18 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* HostAddress/: New Project contributed by Philippe C.D. Robert
	<phr@projectcenter.ch>.
	* HostAddress/AppController.h: New file.
	* HostAddress/AppController.m: Idem.
	* HostAddress/GNUmakefile: Idem.
	* HostAddress/Info-project.plist: Idem.  	
	* HostAddress/PC.project: Idem.
	* HostAddress/Resolver.h: Idem.
	* HostAddress/Resolver.m: Idem.	
	* HostAddress/main.m: Idem.

Sun Jan 21 23:33:04 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Calculator/CalcFace.m ([-init]): Set default button cell to `='.

Mon Jan  9 23:21:34 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	Rearrangement of the whole directory structure.
	* Old/: New directory.  Old tests moved here.
	* Classes/: New directory.  Rewritten most makefiles in the dir.
	* Classes/NSPanelTest: Moved from top level.
	* Classes/NSBrowserTest: Moved from browser.m in top level.
	* Classes/NSScreen: Moved from screen in top level.
	* GNUmakefile: Rewritten from scratch.
	* README: Updated for new rearrangement.
	
Sat Jan  6 20:01:07 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Ink/Document.m ([-makeWindow]): Set the text container size and
	tracking of text view.

2000-11-03  Fred Kiefer <FredKiefer@gmx.de>

	* Ink/Ink_app.tiff:
	TIFF version of icon.
	* Ink/main.m: 
	* Ink/InkInfo.plist: 
	* Ink/GNUmakefile: 
	Get the application icon from the plist.

Tue Dec 12 02:44:06 2000  Nicola Pero <n.pero@mi.flashnet.it>

	* GNUmakefile: Updated/Simplified.
	* GNUmakefile.preamble: Idem.
	* Edit/GNUmakefile: Idem.
	* Edit/GNUmakefile.preamble: Idem.
	* Edit/GNUmakefile.postamble: Idem.
	* GNUmakefile.postamble: Empty file removed.

Tue Dec 12 02:37:42 2000  Nicola Pero <n.pero@mi.flashnet.it>

	* Calculator/GNUmakefile: Updated/simplified.
	* CurrencyConverter/GNUmakefile: Idem.	
	* Finger/GNUmakefile: Idem.
	* Ink/GNUmakefile: Idem.
	
2000-11-06  Fred Kiefer <FredKiefer@gmx.de>

	* Ink/Document.m: Improved resizing of views

2000-11-03  Fred Kiefer <FredKiefer@gmx.de>

	* Ink/main.m: Relase the menu entries.
	* Ink/Document.m: The text view can now be resized.

2000-10-24  Fred Kiefer <FredKiefer@gmx.de>

	* Ink/Document.h: Changed ivars
	* Ink/Document.m: Use new ivars, changed text view handling
	* Ink/Readme.rtf: Added some spaces

2000-10-22  Michael Hanni <mhanni@sprintmail.com>

	* nstabview.m: add 'Change Tab Font' menu item to use the font
	panel to change the font the NSTabView uses to draw the tabs.

2000-10-21  Adam Fedor  <fedor@gnu.org>

	* GNUmakefile, GNUmakefile.preamble. Remove unused includes

2000-10-19  Michael Hanni <mhanni@sprintmail.com>

	* nstabview.m: rewrote, hopefully better reflects the status of
	NSTabView (check gui/Changelog)

2000-10-15  Fred Kiefer <FredKiefer@gmx.de>

	* Ink/*
	Added new application for testing the text classes and the
	document framework.This should replace Edit!
	
2000-08-28  Adam Fedor  <fedor@gnu.org>

	* */GNUmakefile: Make sure GNUSTEP_MAKEFILES points to the right place.

2000-08-06  Adam Fedor  <fedor@gnu.org>

	* Version 0.6.6 released.

2000-08-04  Adam Fedor  <fedor@gnu.org>

	* All tests (main): Remove initialize_gnustep_backend function call.

Sat Jul 29 22:17:35 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	Simplified the CurrencyConverter example/demo.
	* CurrencyConverter/CurrencyConverter.m ([-init]): Made the window
	not closable.  (main): Do not call initialize_gnustep_backend.
	Removed runInfoPanel:
	* CurrencyConverter/CurrencyConverter.h: Removed runInfoPanel:
	* CurrencyConverter/CurrencyConverterInfo.plist: New file.
	* CurrencyConverter/GNUmakefile: Removed useless includes.
	
Sat Jul 29 22:03:39 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	Simplified the Calculator example/demo.
	* Calculator/CalculatorInfo.plist: New file.
	* Calculator/CalcFace.m ([CalcFace -runInfoPanel:]): Removed
	method, now using CalculatorInfo.plist
	* Calculator/CalcFace.h: Removed method runInfoPanel:.
	* Calculator/main.m: Removed class CalcController; changed 
	Info menu item's action; do not call initialize_gnustep_backend; 
	this is now done automatically.
	* Calculator/CalcFace.m ([CalcFace -init]): Made window 
	not closable.
	* Calculator/GNUmakefile: Removed inclusion of
	GNUmakefile.preamble, GNUmakefile.postamble.

	
Tue Jul 18 17:53:16 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* CurrencyConverter/CurrencyConverter.m ([-init]): Fixed minimum
	size of the window.

2000-07-01  Fred Kiefer <FredKiefer@gmx.de>

	* Edit/Readme.rtf: New file to load at startup
	* Edit/GNUmakefile: Added new file Readme.rtf as ressource
	* Edit/Controller.m:
	* Edit/Controller.h:
	* Edit/Edit.m: 
	* Edit/Document.m: 
	* Edit/Document.h: Added font and ruler pasting

2000-05-04 Richard Frith-Macdonald <rfm@gnu.org>

	* screen: new subdirectory for tool to test screen access functions
	contributed by Gregory John Casamento

2000-04-18  Adam Fedor  <fedor@gnu.org>

	* ImageView.m (-initWithFile:): Return nil if image
	not loaded.

2000-04-17  Fred Kiefer <FredKiefer@gmx.de>

	* Edit/Controller.m: Removed RTF setting, now become window delegate
	* Edit/Edit.m: Added entries in menu for additional format test
	* Edit/Document.m: Enable RTF

2000-03-11  Adam Fedor  <fedor@gnu.org>

	* nsimage.m: Set window frame when initing window.

Wed Mar  8 21:42:03 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* TestView.m: Do not include configure.h.  Some other tidying, 
	removed some unuseful historical code.

2000-02-25  Adam Fedor  <fedor@gnu.org>

	* ColorView.m: Fix some retain problems.
	* nscursor.m: Show implementation of image cursor.

Tue Feb 22 18:19:11 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	Contributed by Fred Kiefer: 
	* Edit/Controller.m ([Controller -applicationDidFinishLaunching:]): 
	Use the font manager.
	* Edit/Edit.m (createMenu): Create the format menu.
	
Tue Jan 25 15:02:41 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* fontpanel.m: Rewritten completely, based on a contribution 
	by Fred Kiefer.

Sun Feb 13 02:14:29 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Finger: New demo program.

Sun Feb 13 01:11:31 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* CurrencyConverter/CurrencyConverter.m ([-init]): Use AUTORELEASE
	instead of -autorelease.  ([-dealloc]): Use RELEASE instead of
	-release. (main): AUTORELEASE the created menus.
	* Calculator/main.m (main): AUTORELEASE the created menus.

Thu Feb 10 09:55:00 2000  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* nsscroller.m: ([MyObject -scrollerAction:]) Move the knob when the
	arrows are clicked.

Thu Feb 10 01:29:48 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* nsscroller.m ([MyObject -scrollerAction:]): Print some 
	useful information.

Mon Feb  7 12:25:24 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* scrollview2.m ([-addColumn:]), ([-addRow:]): Mark the scrollview
	as needing redisplay. ([-removeRow:]), ([-removeColumn:]): Idem
	plus reset button titles.

Sat Feb  5 03:35:09 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Calculator/main.m (main): Added Hide item in menu; 
	removed Info menu, superseded by a single Info... item.
	* CurrencyConverter/CurrencyConverter.m (main): Idem; plus, 
	set main menu title to a shorter "CurrConv"
	
Fri Feb  4 01:40:58 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* README: New file.

Thu Feb  3 01:21:53 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* Calculator/main.m (main): Added "..." to Info Panel 
	and Help menu items.
	* CurrencyConverter/CurrencyConverter.m (main): Idem.
	
Tue Feb  1 23:35:20 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* windows.m: Set alternate title of the momentary change button.
	
Tue Feb  1 23:21:04 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* windows.m: Put the text key view loop in natural 
	order.  (Bug reported by Jory van Zessen).
	
Mon Jan 31 01:03:16 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* popupbuttons.m ([buttonsController
	-applicationDidFinishLaunching:]): Removed example of popupbutton
	with images.  Unfortunately we do not any longer have this
	extension of popupbuttons with images [Popupbuttons are strictly
	connected to menus].

Tue Jan 25 00:28:31 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	Added Info Panel to Calculator and CurrencyConverter:
	* Calculator/main.m (main): Added Info menu.
	* Calculator/CalcFace.m ([-runInfoPanel:sender]): Added method.
	* Calculator/CalcFace.h: Idem.
	* CurrencyConverter/CurrencyConverter.m (main): Added Info menu.
	* CurrencyConverter/CurrencyConverter.m ([-runInfoPanel:sender]):	
	Added method.
	* CurrencyConverter/CurrencyConverter.h: Idem.
	
2000-01-21  Adam Fedor  <fedor@gnu.org>

	* scrollview.m; Rewrite with application delegate.

2000-01-14  Adam Fedor  <fedor@gnu.org>

	* TestView.m, ColocView.m: Fixes for changes in ivars.

Thu Jan 13 11:59:41 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* CurrencyConverter/CurrencyConverter.m ([CurrencyConverter -init]): 
	Refined setting size of textfields.

Fri Jan  7 02:20:43 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* scrollview2.m: Added code to test matrix double click.

1999-11-30  Adam Fedor  <fedor@gnu.org>

	* nsbrowser.m: Updated to show off new NSBrowser changes (patch
	from F. Wolff <wolff@cybercable.fr>).

Sat Nov 27 04:17:31 1999  Nicola Pero  <n.pero@mi.flashnet.it>

	* GSTest/ChangeLog: Added file.

Fri Nov 26 01:05:04 1999  Nicola Pero  <n.pero@mi.flashnet.it>

	The new test suite.
	* GNUmakefile: Updated.
	* nsbox.m: Removed, obsoleted by the new NSBox-test.
	* slider.m: Removed, obsoleted by the new NSSlider-test.
	* Calculator/main.m (main): Added menu, to test cut&paste between
 	Calculator and CurrencyConverter.
	* Calculator/CalcFace.m, Calculator/CalcFace.h: Order out self
 	when application did finish launching.	
	* GSTest/: New directory.
	* GSTest/main.m: New file.
	* GSTest/infoPanel.h: New file.
	* GSTest/infoPanel.m: New file.
	* GSTest/GSTestProtocol.h: New file.
	* GSTest/testList.h: New file.
	* GSTest/KeyboardInput-test: New directory.
	* GSTest/KeyboardInput-test/GNUmakefile: New file.
	* GSTest/KeyboardInput-test/KeyboardInput-test.m: New file.
	* GSTest/NSBox-test: New directory.
	* GSTest/NSBox-test/GNUmakefile: New file.
	* GSTest/NSBox-test/NSBox-test.m: New file.
	* GSTest/NSColorWell-test: New directory.
	* GSTest/NSColorWell-test/GNUmakefile: New file.
	* GSTest/NSColorWell-test/NSColorWell-test.m: New file.
	* GSTest/NSScrollView-test: New directory.
	* GSTest/NSScrollView-test/GNUmakefile: New file.
	* GSTest/NSScrollView-test/NSScrollView-test.m: New file.
	* GSTest/NSSlider-test: New directory.
	* GSTest/NSSlider-test/GNUmakefile: New file.
	* GSTest/NSSlider-test/NSSlider-test.m: New file.
	
Thu Nov 25 05:26:29 1999  Nicola Pero  <n.pero@mi.flashnet.it>

	New little demo app showing text fields working.
	* CurrencyConverter: New directory.
	* CurrencyConverter/GNUmakefile: New file.
	* CurrencyConverter/CurrencyConverter.m: New file.
	* CurrencyConverter/CurrencyConverter.h: New file.

	* Calculator/GNUmakefile.postamble: Removed file, so that
 	Calculator.app remains in its directory after compile.
	
1999-11-22  Richard frith-Macdonald <richard@brainstorm.co.uk>

	* GNUstepInstaller.m; Use [-orderFrontRegardless] before app is active.
	* nsbrowser.m: ditto
	* nsbrowsercell.m: ditto
	* nscombobox.m: ditto
	* nsimage.m: ditto
	* nsprogressindicator.m: ditto
	* nsscroller.m: ditto
	* nstabview.m: ditto
	* slider.m: ditto
	* windows.m: ditto

1999-11-16  David Lazaro Saz  <khelekir@encomix.es>

	* GNUmakefile (menu_RESOURCE_FILES): Added the Smiley.tiff file as a
	resource to demonstrate one of the new capabilites of the new NSMenu
	additions.

1999-10-18  Lyndon Tremblay  <humasect@coolmail.com>

	* nstextfields.m: Added to test NSTextField, NSSecureTextField.

Tue Oct 12  1999  Nicola Pero  <n.pero@mi.flashnet.it>

	* Calculator: Added icon by Andrew Lindesay; reduced button
 	spacing (suggestion by Andrew Lindesay); added key equivalents.

1999-10-07    <fedor@gnu.org>

	* Calculator: New test from Nicola Pero <n.pero@mi.flashnet.it>

1999-09-09  Gerrit van Dyk <gerritvd@decillion.net>

	* nscombobox.m: Added ComboBox test

1999-08-22  Gerrit van Dyk <gerritvd@decillion.net>

	* nsprogressindicator.m: Added progressIndicator test

1999-08-19  Michael Hanni  <mhanni@sprintmail.com>

	* gstextnetwork.m: some changes.
	* popupbuttons.m: a few changes to help debug problems other
	people have reported.
	* menu.m: moved some stuff around to better allow ui testing.

1999-09-07  Adam Fedor  <fedor@gnu.org>

	* buttons.m ([buttonsController -applicationDidFinishLaunching:]): 
	Move main menu creation to here, since it screws up xdps if it's
	in main - must look into this...

1999-08-21  Richard frith-Macdonald <richard@brainstorm.co.uk>

	Added simple menu with 'quit' item for all test apps.

1999-07-30  Michael Hanni  <mhanni@sprintmail.com>

	* Several images for new popup in popupbuttons.app:
	animations.tiff appearance.tiff configs.tiff dock.tiff (images
	taken from Window Maker, I hope this is ok.)

1999-07-26  Michael Hanni  <mhanni@sprintmail.com>

	* GNUstepInstaller.m: copy of nstabview.m, save this app uses no
	tabs and has buttons in the TabView for movement through tabs,
	quite cool.
	* nstabview.m: added a delegate to the nstabview. Delegate
	responds to all selectors and gives debug information. In
	addition, with the delegate you cannot click on the "Natalie"
	tab, it is disabled.

1999-07-24  Michael Hanni  <mhanni@sprintmail.com>

	* gstextnetwork.m: new test app to test NSTextView/TextNetwork.
	* Edit/*: minor fixes to use NSText directly so for the time being
	Edit.app still works somewhat.

1999-07-10  Michael Hanni  <mhanni@sprintmail.com>

	* GSImageTabViewItem.m: new file to draw a subclass of
	NSTabViewItem that puts an image into a tab.
	* nstabview.m: changed "Me" tab to also include an image.
	* Smiley.tiff: image I drew to put in a tab.

1999-07-9  Michael Hanni  <mhanni@sprintmail.com>

	* nstabview.m: this is a must see. it really works quite well.
